package com.xkrs.model.qo;

import com.xkrs.model.validation.PictureQoInsert;

import javax.validation.constraints.NotBlank;

public class PictureQo {

    /**
     * 批次号
     */
    @NotBlank(message = "{PictureEntity.lotNo.blank}", groups = {PictureQoInsert.class})
    private String lotNo;

    /**
     * 机器号
     */
    @NotBlank(message = "{PictureEntity.machineNo.blank}", groups = {PictureQoInsert.class})
    private String machineNo;

    /**
     * 物料号
     */
    @NotBlank(message = "{PictureEntity.materialNo.blank}", groups = {PictureQoInsert.class})
    private String materialNo;

    /**
     * 模具号
     */
    @NotBlank(message = "{PictureEntity.modelNo.blank}", groups = {PictureQoInsert.class})
    private String modelNo;

    /**
     * 机种号
     */
    @NotBlank(message = "{PictureEntity.machineTypeNo.blank}", groups = {PictureQoInsert.class})
    private String machineTypeNo;

    /**
     * 工艺项目名称
     */
    @NotBlank(message = "{PictureEntity.craftItemName.blank}", groups = {PictureQoInsert.class})
    private String craftItemName;

    public PictureQo() {
    }

    public String getLotNo() {
        return lotNo;
    }

    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    public String getMachineNo() {
        return machineNo;
    }

    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    public String getModelNo() {
        return modelNo;
    }

    public void setModelNo(String modelNo) {
        this.modelNo = modelNo;
    }

    public String getMachineTypeNo() {
        return machineTypeNo;
    }

    public void setMachineTypeNo(String machineTypeNo) {
        this.machineTypeNo = machineTypeNo;
    }

    public String getCraftItemName() {
        return craftItemName;
    }

    public void setCraftItemName(String craftItemName) {
        this.craftItemName = craftItemName;
    }
}
